<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
$_SESSION['cuPages']='prj_contruccteate.php';   
$cuPage='prj_contruccteate.php';    
$aid=$_SESSION['uid'];
$uty=$_SESSION['utype'];    
$brid=$_SESSION['abrid'];     
}else{
header('Location:../index.php');
exit;    
}
$mhead='project';
$menuh='Manage Project';
$phead='ctcreate';
$page='Add Contractor';
$dtnow = date("Y-m-d h:i:s", time());
$today = strftime("%Y-%m-%d", time());
?>
<?php 
if(isset($_POST['save_contractor'])){
	$name = ucwords(remove_junk(escape($_POST['name'])));
    $code = get_genid('CO');
    $cnumber = remove_junk(escape($_POST['cnumber']));
    $cemail = remove_junk(escape($_POST['cemail']));
    $address = remove_junk(escape($_POST['address']));
    $note = remove_junk(escape($_POST['note']));
    $status = remove_junk(escape($_POST['status']));
    
// 	if(isset($_POST['cnumber'])){
// 	$ducode = mysqli_query($con,"SELECT * FROM tbl_contractor WHERE mobile = '$cnumber'");
// 	}
	
// 	if($ducode->num_rows > 0) {
// 		save_msg('i','Mobile Number alrady used! Plz try another');
// 		echo "<script>window.location='prj_contruccteate.php'</script>";
// 	}else{
    $sql="INSERT INTO tbl_contractor(code,name,mobile,email,address,note,status,brid,uid,date) VALUES ('$code','$name','$cnumber','$cemail','$address','$note','$status','$brid','$aid','$dtnow')";    
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
    $efid=mysqli_affected_rows($con);    
    if($efid>0){
    $act =remove_junk(escape('Contractor name: '.$name));    
    write_activity($aid,'COT','New contractor has been Added',$act);
    save_msg('s','Data Successfully Saved!');    
    }else{
    save_msg('w','Data Fail to Saved!');    
    }
    echo "<script>window.location='prj_contruccteate.php'</script>";  
//	}  
}
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>

<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">

<div class="row">
<div class="col-md-9">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Add New Contractor</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<form action="prj_contruccteate.php" onsubmit="return validate()" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">
<div class="col-md-1"></div>
<div class="col-md-10">
<div class="col-md-12">

<div class="row">
<div class="col-md-6">
<div class="form-group">
<label>Name</label>    
<input type="text" name="name" maxlength="45" value="" id="name" class="form-control" placeholder="e.g. Md.Sumon Rahman"/>
</div>    
</div>
<div class="col-md-3">
<div class="form-group">
<label>Status</label>    
<select class="form-control" name="status" id="status">
<option value="1">Acive</option> 
<option value="0">De-Acive</option>     
</select>
</div>    
</div>    
<div class="col-md-3">
<div class="form-group">
<label>Code</label>    
<input type="text" name="code" maxlength="15" value="<?php echo get_genid('CO');?>" id="code" class="form-control" placeholder="e.g. ABA/CO/001" readonly/>
</div>    
</div>    
</div>
<div class="row">
<div class="col-md-3">
<div class="form-group">
<label>Contact Number</label>    
<input type="text" name="cnumber" maxlength="18" value="" id="cnumber" class="form-control" placeholder="e.g. +88016161xxxxx70"/>
</div>    
</div>
<div class="col-md-3">
<div class="form-group">
<label>Contact Email</label>    
<input type="text" name="cemail" maxlength="45" value="" id="cemail" class="form-control" placeholder="e.g. info@axesgl.com"/>
</div>    
</div>    
<div class="col-md-3">    

</div>    
</div>   
<div class="row">
<div class="col-md-6"> 
<div class="form-group">    
<label>Address</label>
<textarea class="form-control" name="address" id="address" maxlength="150" rows="4" placeholder="Address"></textarea>    
</div>
</div>    
<div class="col-md-6">    
<div class="form-group">
<label>Note</label>
<textarea class="form-control" name="note" id="note" maxlength="150" rows="4" placeholder="About"></textarea>   
</div>
</div>    
</div> 
    
</div>    
</div>    
<div class="col-md-1"></div>    
</div>
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8 ">
</div>
<div class="col-md-4 text-right" >
<input type="submit" name="save_contractor" id="submit" class="btn btn-flat bg-purple btn-sm" value="Save"/> <a href="prj_contruclist.php" class="btn btn-flat bg-gray  ">Close</a>
</div> 
</div>     
</form>    
</div>
</div>
</div>
<div class="col-md-3">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'COT','A');}else{echo read_activity($aid,'COT','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>
        
<?php include('../layout/quick.php');?>    
</section>
<!-- /.main content -->    
</div>
<?php
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function () {
var name = new LiveValidation('name');
name.add(Validate.Presence);  
// var cnumber = new LiveValidation('cnumber');
// cnumber.add(Validate.Presence);
// cnumber.add(Validate.Length, {minimum: 11, maximum: 14});
// var cemail = new LiveValidation('cemail');
// cemail.add(Validate.Email);    
}); 
</script>    
<!-- /page script -->
</html>    